activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Timothy Bish (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (AMQCPP-309) pkg-config library version mismatch
Date Wed, 18 Aug 2010 14:45:48 GMT

     [ https://issues.apache.org/activemq/browse/AMQCPP-309?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Timothy Bish resolved AMQCPP-309.
---------------------------------

    Fix Version/s: 3.2.3
                   3.3.0
       Resolution: Fixed

Fixed in trunk and 3.2.x fixes branch

> pkg-config library version mismatch
> -----------------------------------
>
>                 Key: AMQCPP-309
>                 URL: https://issues.apache.org/activemq/browse/AMQCPP-309
>             Project: ActiveMQ C++ Client
>          Issue Type: Wish
>          Components: CMS Impl
>    Affects Versions: 3.2.1
>            Reporter: Kevin Quick
>            Assignee: Timothy Bish
>            Priority: Minor
>             Fix For: 3.2.3, 3.3.0
>
>
> The activemq-cpp.pc.in file specifies the installed library linking as "-l@ACTIVEMQ_LIBRARY_NAME@-@ACTIVEMQ_API_VERSION@"
which results in (for example) -lactivemq-cpp-3.2.1, but the actual library files generated
in src/main/.libs are:
> $ ls src/main/.libs/
> libactivemq-cpp.a  libactivemq-cpp.la  libactivemq-cpp.lai  libactivemq-cpp.so  libactivemq-cpp.so.11
 libactivemq-cpp.so.11.1.0
> $
> As a result, pkg-config requests a link against a non-existent library.  This should
be fixed so that the generated version and the indicated link version match.
> This can be patched post-install, but it's messy.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message